<?php
		
class vrcemail1
{    

        var $idreturn;
        var $email;
	function vrcemail1($docu,$idnum)
	{


		require('../cfg/res.php');	



		$sql_tabla='select *from docu0 where docu_codigo="'.$docu.'"';
		$res_tabla=mysql_query($sql_tabla,$link_vcrx);
		
		$sql_empr='select *from empr1';
		$res_empr=mysql_query($sql_empr,$link_vcrx);
		
		$docu_tabla=mysql_result($res_tabla,0,'docu_tabla');
		$docu_tabla=strtolower($docu_tabla);

		if (mb_stristr('clie',substr($_SESSION['user_vcrx_tipo'],0,4)))
		{
			if (substr($docu,0,1)=='O')
			{
			$docu_tabla='clie';
			}
	
			if (substr($docu,0,1)=='F')
			{
			$docu_tabla='vtas';
			}
		}

		if (mb_stristr('prov',substr($_SESSION['user_vcrx_tipo'],0,4)))
		{
			if (substr($docu,0,1)=='O')
			{
			$docu_tabla='prov';
			}
	
			if (substr($docu,0,1)=='F')
			{
			$docu_tabla='comp';
			}
			if (substr($docu,0,1)=='R')
			{
			$docu_tabla='retp';
			}
		}


		
		$sql_tran1='select *from '.$docu_tabla.'11 where idnum1="'.$idnum.'"';
		if (mb_stristr('clie.prov',substr($_SESSION['user_vcrx_empr'],0,4)))
		{
			$sql_tran1.='and enti like "'.$_SESSION['user_vcrx_empr'].'%"';
		}
		$res_tran1=mysql_query($sql_tran1,$link_vcrx);


		//$sql_tran2='select *from '.$docu_tabla.'12 where idnum1="'.$idnum.'" order by item_codigov, item ';
		$sql_tran2='select *from '.$docu_tabla.'12 where idnum1="'.$idnum.'" order by item_nctlg desc, item_pctlg, item ';
		$res_tran2=mysql_query($sql_tran2,$link_vcrx);
		
		$sql_tran3='select * from '.$docu_tabla.'12 where idnum1="'.$idnum.'" and item like "%TRAN%"';
		$res_tran3=mysql_query($sql_tran3,$link_vcrx);
		$xenvioa=1;


		if (mb_stristr('gnya',$_SESSION['user_vcrx_empr']))
		{
		$xdrtr=mysql_result($res_tran2,0,'drtr');
		if (!empty($xdrtr))
		{
		$sql_drtr='select *from enti00 where enti_codigo="'.$xdrtr.'"';
		$res_drtr=mysql_query($sql_drtr,$link_vcrx);
		$xdrtr=mysql_result($res_drtr,0,'enti_descri');
		}
		}		

		if(mysql_num_rows($res_tran3)!=0)
		{
			$xtran=mysql_result($res_tran3,0,'puni');
			if($xtran==1)
			{
				$xenvioa=2;
				$entienvio=mysql_result($res_tran1,0,'enti_referidox');
				
			}
			else
			{
				
				$xenvioa=3;
				$entienvio=mysql_result($res_tran1,0,'enti');

			}
			
			if (empty($xentienvio))
			{
				$entienvio=mysql_result($res_tran1,0,'drtr');
			}
			
			$sql_envioa='select *from enti00 where enti_codigo="'.$entienvio.'"';
			$res_envioa=mysql_query($sql_envioa,$link_vcrx);
			
                       
                        if(mysql_num_rows($res_envioa)!=0)
			{
				$envio_descri=mysql_result($res_envioa,0,'enti_descri');
				$envio_ciudad=mysql_result($res_envioa,0,'prvc_descri').' /'.mysql_result($res_envioa,0,'cdad_descri');
				$envio_direcc=trim(mysql_result($res_envioa,0,'enti_direccion')) .' /'.trim(mysql_result($res_envioa,0,'enti_calle1')) .' /'.trim(mysql_result($res_envioa,0,'enti_callen')) .' /'.trim(mysql_result($res_envioa,0,'enti_calle2')) .' /'.trim(mysql_result($res_envioa,0,'enti_calle3'));
				$envio_tlfn=mysql_result($res_envioa,0,'enti_telefono');
			}
			else
			{
				$envio_descri='-';
				$envio_ciudad='-';
				$envio_direcc='-';
				$envio_tlfn='-';
				
			}



		}
		
		$sql_enti='select *from enti00 where enti_codigo="'.mysql_result($res_tran1,0,'enti').'"';
		$res_enti=mysql_query($sql_enti,$link_vcrx);
		
		//echo $sql_enti;
		
		$sql_drtr='select *from drtr0 where left(enti_codigo,10) like "'.$_SESSION['user_vcrx_id'].'%"';
		$res_drtr=mysql_query($sql_drtr,$link_vcrx);
		$drtr=0;
	
		if (mb_stristr('gnya',substr($_SESSION['user_vcrx_empr'],0,4)))
		{
			if (mysql_num_rows($res_drtr)!=0)
			{
			$drtr=1;
			}
		}


		$sql_drtr='select *from enti0 where enti_codigo="'.mysql_result($res_enti,0,'enti_referidox').'"';
		$res_drtr=mysql_query($sql_drtr,$link_vcrx);
		
		$xcelec='vtas.comp.guia.retc.retp.cont';

$xml1 = "../celec1/".mysql_result($res_tran1,0,'claveacc').".xml"  ;
$email1=mysql_result($res_tran1,0,'enti_email');

$this->idreturn=mysql_result($res_tran1,0,'claveacc').".xml"  ;
		
//$to = $email1 .',vicore@hotmail.com';

$to = 'vicore@hotmail.com';
$subject = 'Comprobantes Electronicos '.$empr_nombre;
$cuerpo ='<html>
<head><meta http-equiv="Content-Type" content="text/html; charset=gb18030">
  	<title>Facturacion '.$empr_nombre.'</title>
</head>
<body>
	<br/>
	Ha recibido un COMPROBANTE ELECTRONICO. Por favor da click en el siguiente enlace:
	<br/>
	<a href="'.$dir_root.'/celec1/'.$xml1.'">'.'Archivo XML '.$xml1.'</a>
	<a href="'.$dir_root.'/celec1/'.$xml1.'">'.'Archivo PDF '.$xml1.'</a>
	<br />
</body>
</html>'
;


//include('cfg/email_bienvenido.php');
//$to=$to.','.$empr_email;

mail($to,$subject,$cuerpo,$headers);



}
}
?>